Bump c3p0 version up to support JDBC 4.2

Description

While reading this Hibernate forum thread, I realized that we are still using an old C3P0 version which was built for JDBC 3.

As explained in this StackOverflow answer, we should be using 0.9.5 version for JDBC 4, which is the case for all 5.x branches.

Environment

None

Status

Assignee

Vlad Mihalcea

Reporter

Vlad Mihalcea

Fix versions

Labels

None

backPortable

None

Suitable for new contributors

None

Requires Release Note

None

Pull Request

None

backportDecision

None

Affects versions

Priority

Major
Configure